--[[
*******************
Sirve para encender y apagar variables (true/false), me da flojera buscar
la manera de que almacenen varios valores (arreglos)
*******************
Cancelado:
*) Código para invertir valores

Hecho:
*) Código maestro para restablecer todas las configuraciones
]]

--editable:
local CodeVars = {
	LifePc = "LifePercent";
	Result = "PercentResults";
	Prgrss = "PercentProgress";
	TimeLb = "TimeLabels";
	StgTks = "StageTicks";
	--agréga los códigos acá abajo
}

--no editable a partir de aquí
--Código maestro
local function MasterCode()
	--obtener todos los nombres de los códigos
	local AllCodes = THEME:GetMetric("ScreenTitleMenu","CodeNames")
	local Codes = split(",",AllCodes)
	
	for i=1,#Codes do
		--evaluar si la entrada en CodeVars existe en Codes
		if CodeVars[Codes[i]] ~= nil then
			setenv(CodeVars[Codes[i]],false)
		end
	end
	
	--PopUp
	SCREENMAN:SystemMessage(THEME:GetString("Common","CodeReset"))
	--Sound
	SOUND:PlayOnce(THEME:GetPathS("ScreenSelectMusic","start"))
end

--Inversor
local function SwapValues()
	--funcionaría igual pero con un if :P
	--cancelado
	return
end

return Def.Actor {
	CodeMessageCommand=function(self,params)
		SOUND:DimMusic(0.5,1)
		if params.Name == 'Reset' then
			MasterCode()
			return
		end
		
		if not CodeVars[params.Name] then
			SCREENMAN:SystemMessage(THEME:GetString("Common","UnknownCode").."\n"..params.Name)
			SOUND:PlayOnce(THEME:GetPathS("","B09"))
			return
		end
		
		if getenv(CodeVars[params.Name]) then
			setenv(CodeVars[params.Name],false)
			SCREENMAN:SystemMessage(CodeVars[params.Name]..": Off")
		else
			setenv(CodeVars[params.Name],true)
			SCREENMAN:SystemMessage(CodeVars[params.Name]..": On")
		end
		SOUND:PlayOnce(THEME:GetPathS("","2-1"))
	end;
}

--[[
code Daisuke Master (c)

Términos de uso:
1.- Eres libre de usar todo o parte de éste código, sólamente dame crédito o incluye este bracket de comments en el luafile
2.- No permito que se use para fines comerciales
3.- Si quieres usar el código para fin comercial
	a). Contáctame por X o Y medio pero que sea directo de preferencia
		(messenger, phone si se puede (aver donde lo consigues xD))
	b). Móchate una feriecita xD no seas gacho
]]